Skip to main content
GET
/
v4
/
application-variants
/
{application_variant_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
application_variant = client.application_variants.retrieve(
    "application_variant_id",
)
print(application_variant)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
applicationVariant, err := client.ApplicationVariants.Get(context.TODO(), "application_variant_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", applicationVariant)
}
curl --request GET \
--url https://api.egp.scale.com/v4/application-variants/{application_variant_id} \
--header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.egp.scale.com/v4/application-variants/{application_variant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "configuration": {
    "nodes": [
      {
        "id": "<string>",
        "configuration": {}
      }
    ],
    "edges": [
      {
        "from_node": "<string>",
        "to_node": "<string>",
        "from_field": "<string>",
        "to_field": "<string>"
      }
    ],
    "metadata": {}
  },
  "version": "<string>",
  "application_spec_id": "<string>",
  "draft": true,
  "account_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

application_variant_id
string
required

Response

Successful Response

id
string
required
name
string
required
configuration
ApplicationConfigurationV0 · object
required
version
string
required
Allowed value: "V0"
application_spec_id
string
required
draft
boolean
required

Boolean to indicate whether the variant is in draft mode

account_id
string
required

The ID of the account that owns the given entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

description
string

Optional description of the application variant

published_at
string<date-time>

The date and time that the variant was published.

created_by_user_id
string

The user who originally created the entity.

created_by_identity_type
enum<string>

The type of identity that created the entity.

Available options:
user,
service_account